%define rel       1
%define pre     %nil
%define version 0.11.1
%define release %mkrel %{rel}

Summary:	Lynx-like text WWW browser
Name:		elinks
Version:	%{version}
Release:        %{release}
License:	GPL
Group:		Networking/WWW
Epoch:		0

URL:		http://elinks.or.cz/
Source0:	http://elinks.or.cz/download/%{name}-%{version}%{pre}.tar.bz2

BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	samba-client
BuildRequires:	lua-devel
BuildRequires:	bzip2-devel
BuildRequires:	idn-devel
BuildRequires:	X11-devel
Provides:	webclient links
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
ELinks is an advanced and well-established feature-rich text mode web
(HTTP/FTP/..) browser. ELinks can render both frames and tables, is highly
customizable and can be extended via scripts. Its features include:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- HTTP authentification

%prep
%setup -q -n %{name}-%{version}%{pre}
gzip -9 ChangeLog

%build
%configure \
        --enable-256-colors \
        --enable-bittorrent

%make
 
%post
update-alternatives --install %{_bindir}/links links %{_bindir}/elinks 50

%preun
if [ "$1" = "0" ]; then
  update-alternatives --remove links %{_bindir}/elinks
fi

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f $RPM_BUILD_ROOT/%{_datadir}/locale/locale.alias
rm -f doc/html/*.gz

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog.gz README SITES THANKS TODO 
%doc doc/*.txt
%doc doc/html
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Sun Jun 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.11.1-1mdv2007.1
- 0.11.1
- mkrel
- enable bittorrent support
- update doc listing

* Sun May 07 2006 Jerome Soyer <saispo@mandriva.org> 0.10.6-1mdk
- New release 0.10.6

* Fri Mar 24 2006 Pixel <pixel@mandriva.com> 0.10.5-3mdk
- add BuildRequires X11-devel
- rebuild (for crypto deps)

* Mon Aug 08 2005 Abel Cheung <deaddog@mandriva.org> 0:0.10.5-2mdk
- Rebuild, to get back rpms

* Mon Aug 08 2005 Abel Cheung <deaddog@mandriva.org> 0:0.10.5-1mdk
- 0.10.5
- Remove menu again
- Elinks only reads per-user config, attempt to place global config
  randomly is useless
- Take description from elinks itself
- Remove message during install, which was related to around 0.4 days
- Fix scriptlets
- Tune up alt priority, because if people pick up this non-default
  links, that means people really want to try it

* Fri Apr 08 2005 Charles A Edwards <eslrahc@mandrake.org> 0:0.10.4-1mdk
- 0.10.4

* Tue Mar 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 0:0.10.3-1mdk
- 0.10.3

* Thu Feb 03 2005 Charles A Edwards <eslrahc@mandrake.org> 0:0.10.2-1mdk
- 0.10.2

* Wed Jan 05 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.10.1-1mdk
- 0.10.1

* Mon Dec 27 2004 Charles A Edwards <eslrahc@mandrake.org> 0.10.0-1mdk
- 0.10.0
- put back menu entry

* Tue Aug 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-0.rc4.1mdk
- 0.9.2rc4

* Thu Jul 22 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.2-0.rc3.1mdk
- 0.9.2rc3

* Tue Jun 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-0.rc2.1mdk

* Tue Jun 23 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.2-0.rc1.1mdk
- 0.9.2rc1
* Mon Feb 09 2004 Abel Cheung <deaddog@deaddog.org> 0.9.1-2mdk
- Remove files provided by glibc
- BuildRequires smbclient (for smb:// support)
- Remove menu entry (people won't expect text mode browsers appear in menu)

* Sat Jan 24 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.1-1mdk
- 0.9.1 final
- add menu entry

* Sat Jan 17 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.1-rc2.1mdk
- 0.9.1rc2

* Fri Dec 26 2003 Charles A Edwards <eslrahc@mandrake.org> 0.9.0-1mdk
- 0.9.0
- enable nls and ssl
- po files now included
- add docs

* Thu Nov 27 2003 Pixel <pixel@mandrakesoft.com> 0.4.3-1mdk
- new release

* Sun Jan 26 2003 Pixel <pixel@mandrakesoft.com> 0.4.2-1mdk
- new release

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-2mdk
- link with latest libopenssl

* Wed Jan  1 2003 Pixel <pixel@mandrakesoft.com> 0.4.1-1mdk
- new release

* Sat Dec 28 2002 Pixel <pixel@mandrakesoft.com> 0.4.0-1mdk
- new release

* Fri Dec 13 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre25.1mdk
- new release

* Mon Dec  9 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre24.1mdk
- new release

* Sat Dec  7 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre23.1mdk
- new release

* Mon Dec  2 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre21.1mdk
- new release

* Tue Oct  8 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre17.1mdk
- new release

* Thu Aug 29 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre15.1mdk
- new release

* Sun Aug 11 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre14.1mdk
- new release

* Wed Aug  7 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre13.1mdk
- new release
- don't build with lua

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre12.1mdk
- new release

* Sat Jul  6 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre11.1mdk
- add "Provides: links"
- add alternative on /usr/bin/links
- new release

* Thu Jul  4 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre10.2mdk
- add "HTTP authentification" in %%description 

* Thu Jul  4 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre10.1mdk
- initial spec (based on links)
